dm8开启mysql兼容模式 mysql8驱动兼容mysql5吗

admin2024-06-04  7

有关Hibernate5版本和MySQL8版本以及JDK8以上版本的问题解决
1、Hibernate5版本和MySQL8版本要匹配就要导入对应的MySQL版本的connector/J的包,包可在MySQL官网下载(但经过查阅有人说8版本用了5.x.x的jar包居然也可以,没测试)

2、使用MySQL8版本有如下要点:

1)驱动:使用MySQL8版本的添加驱动时就要加cj,com.mysql.cj.jdbc.Driver;

2)url:url比较不会出错的写法为jdbc:mysql://localhost:3306/ss?useSSL=false&serverTimezone=UTC,其中&(注意是英文半角的哦,此处因博客系统的问题,如果写英文半角的会不予以显示)是在eclipse中的连接符写法,因eclipse中无法识别&,serverTimezone=UTC是在解决时区的问题(不解决也不影响程序运行,只是会在控制台输出显示一行红字,意思是在提示设置时区)。

3)方言:一般规律是这样的:MySQL5版本的用方言org.hibernate.dialect.MySQL5Dialect;而我用的是MySQL8,方言试过MySQL5Dialect,和MySQL8Dialect,都会报错,只有写MySQLDialect才正常运行;此处还有待大家补充。

4)笔者一开始编程序时错误的导入了MySQL5版本的connector/J的包,并且Build Path->add to build path了,后来发现应该导入8版本的jar包时虽然也Build Path->add to build path了但是会存在一个问题,就是外部引用库里可能没改jar包,意思就是你的代码对应连接上的jar包仍然是之前的版本5的,换为8版本的jar包时后Build Path->add to build path不能改变你的代码对应连接上的jar包,这时就需要如下操作:Build Path->Configure Build Path->Add External Jars->选择你新的8版本的jar包,即可解决问题。

5)最后,出现Exception in thread “main” java.lang.NoClassDefFoundError:…Caused by java.lang.ClassNotFoundException:…问题是在帮别人调代码时遇到的问题,对,就是居然除了Hibernate5版本和MySQL8版本要对应上的问题之外,还有要求JDK版本,这里说明一下:经查阅资料显示,这个是由于缺少了javax.xml.bind,在jdk10.0.1中没有包含这个包,下载了jdk 8,然后把jdk10.0.1换成jdk 8问题就解决了,真是各种坑坑洼洼~

本文来自互联网用户投稿,该文观点仅代表作者本人,不代表本站立场。本站仅提供信息存储空间服务,不拥有所有权,不承担相关法律责任。如若转载,请注明原文出处。如若内容造成侵权/违法违规/事实不符,请联系SD编程学习网:675289112@qq.com进行投诉反馈,一经查实,立即删除!